## org.eclipse.wst.wsdl.binding.soap
Interface SOAPFault

All Superinterfaces:
  javax.wsdl.extensions.ExtensibilityElement, java.io.Serializable, javax.wsdl.extensions.soap.SOAPFault, WSDLElement

    public interface SOAPFault

extends ExtensibilityElement, javax.wsdl.extensions.soap.SOAPFault

A representation of the model object 'Fault'.

The following features are supported:

- `Use`
- `Namespace URI`
- `Name`

See Also:
  `SOAPPackage.getSOAPFault()`

Method Summary
`java.lang.String` `getName()` Returns the value of the 'Name' attribute
`java.lang.String` `getNamespaceURI()` Returns the value of the 'Namespace URI' attribute
`java.lang.String` `getUse()` Returns the value of the 'Use' attribute
`void` `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` `setNamespaceURI(java.lang.String value)` Sets the value of the '`Namespace URI`' attribute
`void` `setUse(java.lang.String value)` Sets the value of the '`Use`' attribute

Methods inherited from interface org.eclipse.wst.wsdl.ExtensibilityElement
`getElementType, isRequired, setElementType, setRequired`

Methods inherited from interface org.eclipse.wst.wsdl.WSDLElement
`elementChanged, getContainer, getDocumentationElement, getElement, getEnclosingDefinition, setDocumentationElement, setElement, setEnclosingDefinition, updateElement, updateElement`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Methods inherited from interface javax.wsdl.extensions.soap.SOAPFault
`getEncodingStyles, setEncodingStyles`

Methods inherited from interface javax.wsdl.extensions.ExtensibilityElement
`getRequired, setRequired`

Method Detail

### getUse

    java.lang.String getUse()

  Returns the value of the 'Use' attribute.

  If the meaning of the 'Use' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getUse` in interface `javax.wsdl.extensions.soap.SOAPFault`
  Returns:
    the value of the 'Use' attribute.
  See Also:
    `setUse(String)`, `SOAPPackage.getSOAPFault_Use()`

### setUse

    void setUse(java.lang.String value)

  Sets the value of the '`Use`' attribute.

  Specified by:
    `setUse` in interface `javax.wsdl.extensions.soap.SOAPFault`
  Parameters:
    `value` - the new value of the 'Use' attribute.
  See Also:
    `getUse()`

### getNamespaceURI

    java.lang.String getNamespaceURI()

  Returns the value of the 'Namespace URI' attribute.

  If the meaning of the 'Namespace URI' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getNamespaceURI` in interface `javax.wsdl.extensions.soap.SOAPFault`
  Returns:
    the value of the 'Namespace URI' attribute.
  See Also:
    `setNamespaceURI(String)`, `SOAPPackage.getSOAPFault_NamespaceURI()`

### setNamespaceURI

    void setNamespaceURI(java.lang.String value)

  Sets the value of the '`Namespace URI`' attribute.

  Specified by:
    `setNamespaceURI` in interface `javax.wsdl.extensions.soap.SOAPFault`
  Parameters:
    `value` - the new value of the 'Namespace URI' attribute.
  See Also:
    `getNamespaceURI()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getName` in interface `javax.wsdl.extensions.soap.SOAPFault`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `SOAPPackage.getSOAPFault_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Specified by:
    `setName` in interface `javax.wsdl.extensions.soap.SOAPFault`
  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`